package com.alterdekim.hearthhack.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class ServerConfig {
    @Value("${hearthhack.dbf_path}") private String dbfPath;
    @Value("${hearthhack.client_config_template}") private String clientConfigPath;
    @Value("${hearthhack.bnet_port}") private Integer bnetPort;
    @Value("${hearthhack.game_port}") private Integer gamePort;
    @Value("${hearthhack.host}") private String host;
    @Value("${hearthhack.cards_xml_path}") private String cardsXmlPath;
}
